%define _libexecdir /usr/libexec

Summary:  The Control Center
Name:     drakconf
Version:  13.4
Release:  %mkrel 17
Source0:  %{name}-%{version}.tar.xz
License: GPLv2+
Group:   System/Configuration
Url:     http://www.mageia.org
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: perl_checker
BuildRequires: perl-MDK-Common-devel
BuildRequires: drakxtools-backend
Requires: pclinuxos-release
Requires: drakxtools
Requires: harddrake-ui
Requires: polkit
Requires: userdrake
Requires: drakconf-icons = %{version}
#Requires: drakx-net-applet
Requires: libdrak3d
Requires: drakx-kbd-mouse-x11
Requires: lib64vte2.91_0
Requires: addlocale
Requires: perl-Gtk3-WebKit2
Requires: webkitgtk2
Requires: perl-Pango
Requires: sed
#----------------------------------
Obsoletes: draksnapshot
Obsoletes: drakoo
#----------------------------------

%description
drakconf includes the Control Center which is an interface to
multiple utilities from DrakXtools.

%package icons
Summary: Icons of the %{_vendor} Control Center
Group:   Graphical desktop/Other

%description icons
This package hold icons of the Control Center used
in the interface.

%prep
%setup -q

%install
rm -rf %buildroot
%makeinstall_std

#install lang
%find_lang %{name}

#install menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %buildroot%{_datadir}/applications/ufficiozero-drakconf.desktop << EOF
[Desktop Entry]
Name=Configure your Computer
Name[fr]=Configurer votre Ordinateur
Name[nl]=Uw computer configureren
Name[de]=Konfigurieren sie ihren Computer
Name[sv]=Konfigurera din dator
Name[rs]=Подесите Ваш Рачунар
Name[pl]=Konfiguracja komputera
Exec=gksu /usr/bin/drakconf
Comment=Administration Center
Comment[fr]=Centre de Gestion du Système
Comment[nl]=Beheercentrum
Comment[de]=Administrationszentrale
Comment[sv]=Inställningscentral
Comment[rs]=Администрациони Центар
Comment[pl]=Centrum sterowania PCLinuxOS
Icon=drakconf.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;X-MandrivaLinux-System-Configuration;Settings;
EOF

mkdir -p %buildroot{%_miconsdir,%_liconsdir}
install -m0644 drakconf16.png %buildroot/%_miconsdir/drakconf.png
install -m0644 drakconf32.png %buildroot/%_iconsdir/drakconf.png
install -m0644 drakconf48.png %buildroot/%_liconsdir/drakconf.png

install -d %{buildroot}/etc
touch %{buildroot}/etc/mcc.conf

for i in %buildroot{%_sbindir,%_bindir}/{mcc,pcc}; do
	ln -s {drakconf,$i}
done

#compatibility symlink for XFCE
ln -s /usr/bin/drakconf %{buildroot}/usr/sbin/drakconf


mkdir -p %buildroot/usr/X11R6/bin/
echo -e "#\!/bin/sh\nexec /usr/bin/mcc" > %buildroot/usr/X11R6/bin/DrakConf


(cd %{buildroot} ; find usr -type f -name "*.png"  -printf "/%%p\n") > images-big.list
perl -ni -e '/128/ ? print : print STDERR $_ ' images-big.list 2> images.list
cat images-big.list >> %{name}.lang


%files icons -f images.list

%files -f %{name}.lang
%doc COPYING
%config(noreplace) %ghost %{_sysconfdir}/mcc.conf
%config(noreplace) %{_sysconfdir}/sysconfig/mcc.conf
%{_bindir}/*
%{_sbindir}/*
%attr(755,root,root) %_prefix/X11R6/bin/DrakConf
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/applications/ufficiozero-drakconf.desktop
%{perl_vendorlib}/MDV
%dir %{_datadir}/mcc
%{_datadir}/mcc/progs.conf
%dir %{_datadir}/mcc/themes/
%dir %{_datadir}/mcc/themes/default
%{_datadir}/mcc/themes/default/mcc.css
%{_libexecdir}/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%pre
rm -f /usr/sbin/drakconf

%posttrans
sed -i 's/500/1000/g' /etc/login.defs

%changelog
* Wed Jun 11 2025 adrianomorselli <dev@ufficiozero.org> 13.4-17ufficiozero2025
- rebuilded for Lorena
 
* Fri Mar 22 2024 adrianomorselli <dev@ufficiozero.org> 13.4-16ufficiozero2024
- rebuilded for uzl

* Thu Mar 14 2024 tex - 13.4-15pclos2024
- drop sound configuration

* Mon Jul 24 2023 adrianomorselli <dev@ufficiozero.org> 13.4-14ufficiozero2023
- rebuilded for UZL

* Sat Jul 22 2023 tex - 13.4-12pclos2023
- sneak in a posttrans to change login.defs to 1000

* Sat Jul 22 2023 terryn - 13.4-11pclos2023
- warn user changes in live session won't carry over to install

* Tue Jul 18 2023 tex - 13.4-10pclos2023
- fix menu name

* Mon Jun 21 2021 tex - 13.4-9pclos2021
- remove network and internet section

* Sun Sep 13 2020 tex - 13.4-8pclos2020
- rebuild against updates

* Mon Jan 06 2020 tex - 13.4-6pclos2020
- revise wording on missing executables not installed
- line 766

* Sun Sep 15 2019 tex - 13.4-6pclos2019
- rebuild against updates
- lib64vte2.91_0

* Sat Nov 04 2017 bb2 <bb2> - 13.4-5pclos2017
- rebuild against updates

* Sun Jul 16 2017 bb2 <bb2> - 13.4-4pclos2017
- make sure draksnapshot and drakoo are removed

* Thu Jul 13 2017 bb2 <bb2> - 13.4-3pclos2017
- add perl-Pango dep

* Thu Jul 13 2017 bb2 <bb2> - 13.4-2pclos2017
- rebuild against updates

* Wed Jul 05 2017 bb2 <bb2> - 13.4-1pclos2017
- new version

